<md-content
	layout="column"
	flex>
	
	<div
		amh-preloading="ctrl.state=='loading'"
		amh-preloading-class="amh-skeleton-list-item">
		<am-wb-inline
			am-wb-inline-enable="app.user.owner"
			am-wb-inline-type="image"
			am-wb-inline-label="Cover"
			am-wb-inline-on-save="update()"
			ng-model="domain.cover">
			<div
				layout="column"
				layout-align="start center">
				<img 
					style="border-radius: 10px;"
					ng-src="{{domain.cover}}" 
					height="128px" width="128px" 
					alt="{{domain.title}}" />
			</div>
		</am-wb-inline>
		<am-wb-inline
			style="text-align: center;"
			am-wb-inline-enable="app.user.owner"
			am-wb-inline-type="text"
			am-wb-inline-label="Title"
			am-wb-inline-on-save="update()"
			ng-model="domain.title">
			<h1>{{domain.title}}</h1>
		</am-wb-inline>
		<am-wb-inline
			style="text-align: center;"
			am-wb-inline-enable="app.user.owner"
			am-wb-inline-type="textarea"
			am-wb-inline-label="description"
			am-wb-inline-on-save="update()"
			ng-model="domain.description">
			<p>{{domain.description}}</p>
		</am-wb-inline>
	</div>
	
	<div
		ng-show="app.user.owner && ctrl.items && ctrl.items.length > 0">
		<md-button
			ng-click="addTopic()">
			<wb-icon>add</wb-icon>
			<span translate>Add topic</span>
		</md-button>
	</div>
	<amh-elearn-topic-block
		amh-preloading="ctrl.state=='loading'"
		amh-preloading-class="amh-skeleton-list-item"
		ng-repeat="object in ctrl.items track by object.id"
		ng-model="object">
	</amh-elearn-topic-block>
  
	<div
		layout="column"
		layout-align="center center"
		ng-show="ctrl.state=='relax' && (!ctrl.items || ctrl.items.length == 0)">
		<h2>Empty topics list</h2>
		<p>Any topic match with the query. You can add a new topic by 
			click on the add button.</p>
		<md-button
			ng-click="addTopic()">
			<wb-icon>add</wb-icon>
			<span translate>Add</span>
		</md-button>
	</div>
</md-content>

